#include "CSharedObjectLinux.h"
//#include <os.h>

#ifdef _IRR_COMPILE_WITH_X11_DEVICE_


namespace irr
{

CSharedObjectLinux::CSharedObjectLinux() :
    m_Library(0)
{

}


CSharedObjectLinux::~CSharedObjectLinux()
{

}

bool CSharedObjectLinux::load(io::path filename)
{

    // TODO add .dll
    filename += ".so";
    m_Library = dlopen( filename.c_str(), RTLD_LAZY | RTLD_GLOBAL);
    // Chargement de la bibliothèque dynamique
//    m_Library = LoadLibrary( filename.c_str() );


    if (!m_Library)
    {
//        os::Printer::log("Can't load library", ELL_ERROR);
        return false;
    }


    return true;
}


void * CSharedObjectLinux::getSymbol(const core::stringc& name)
{
    //!
    return (void*) dlsym( m_Library,  name.c_str() );
}




}

#endif
