
// Copyright (C) 2002-2011 Matthieu Coudron
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in irrlicht.h

#ifndef __I_SHARED_OBJECT_H_INCLUDED__
#define __I_SHARED_OBJECT_H_INCLUDED__

#include "IrrCompileConfig.h"
#include "path.h"



namespace irr
{

class IRRLICHT_API ISharedObject
{

public:
//    ISharedObject();
//    virtual ~ISharedObject();

    virtual bool load(io::path filename) = 0;
//    virtual bool unload(const io::path& filename) = 0;
    virtual void * getSymbol(const core::stringc& name) = 0;


};


}


#endif
