#include "IrrCompileConfig.h"

#ifdef _IRR_COMPILE_WITH_X11_DEVICE_
#ifdef _IRR_COMPILE_WITH_SOFTWARE_

#include "IRenderWindow.h"
#include "os.h"
#include "CSoftwareContextLinux.h"
#include "CRenderWindowLinux.h"
#include <X11/Xutil.h>
#include "CColorConverter.h"

namespace irr
{
namespace video
{

//CRenderWindowLinux* window ,
CSoftwareContextLinux::CSoftwareContextLinux(
//                                             XImage *softwareImage,
                                             IZBuffer* zBuffer, CImage* backBuffer,  const SVideoContextConfig& config
                                             ,  XImage* softwareImage
                                             ) :
//    Window(window),
//    SoftwareImage( )
    ISoftwareContext(zBuffer,backBuffer, config)
    , ISoftwareContextLinux( softwareImage )
{

//    setTarget( window->getWindowHandle() );
}



CSoftwareContextLinux::~CSoftwareContextLinux()
{

}


bool CSoftwareContextLinux::setTarget(void* data)
{
    if(!data)
    {
        os::Printer::log("Null video data", ELL_WARNING);
        return false;
    }

//    *reinterpret_cast<SRenderWindowLinuxHandle*>(data) ;

    return ISoftwareContextLinux::setTarget( *reinterpret_cast<SRenderWindowLinuxHandle*>(data)  );
}


bool CSoftwareContextLinux::swapBuffers(core::rect<s32>* srcRect)
{
    return ISoftwareContextLinux::swapBuffers( BackBuffer, srcRect );
}

//! presents a surface in the client area
//
//bool CSoftwareContextLinux::present(video::IImage* image,  core::rect<s32>* srcRect)
//{
//#ifdef _IRR_COMPILE_WITH_X11_
//	// this is only necessary for software drivers.
//	if (!image)
//		return true;
////image
//
//	// thx to Nadav, who send me some clues of how to display the image
//	// to the X Server.
//
//	const u32 destwidth = SoftwareImage->width;
//	const u32 minWidth = core::min_(image->getDimension().Width, destwidth);
//	const u32 destPitch = SoftwareImage->bytes_per_line;
//
//	video::ECOLOR_FORMAT destColor;
//	switch (SoftwareImage->bits_per_pixel)
//	{
//		case 16:
//			if (SoftwareImage->depth==16)
//				destColor = video::ECF_R5G6B5;
//			else
//				destColor = video::ECF_A1R5G5B5;
//		break;
//		case 24: destColor = video::ECF_R8G8B8; break;
//		case 32: destColor = video::ECF_A8R8G8B8; break;
//		default:
//			os::Printer::log("Unsupported screen depth.");
//			return false;
//	}
//
//    // convert software image
//	u8* srcdata = reinterpret_cast<u8*>(image->lock());
//	u8* destData = reinterpret_cast<u8*>(SoftwareImage->data);
//
//	const u32 destheight = SoftwareImage->height;
//	const u32 srcheight = core::min_(image->getDimension().Height, destheight);
//	const u32 srcPitch = image->getPitch();
//	for (u32 y=0; y!=srcheight; ++y)
//	{
//		video::CColorConverter::convert_viaFormat(srcdata,image->getColorFormat(), minWidth, destData, destColor);
//		srcdata+=srcPitch;
//		destData+=destPitch;
//	}
//	image->unlock();
//
//	GC gc = DefaultGC( Window->X11Connection, DefaultScreen( Window->X11Connection ) );
////	Window myWindow=window;
////	if (windowId)
////		myWindow = reinterpret_cast<Window>(windowId);
//	XPutImage(Window->X11Connection, Window->WindowId, gc, SoftwareImage, 0, 0, 0, 0, destwidth, destheight);
//	return true;
//#endif
//	return false;
//}



void CSoftwareContextLinux::releaseContext()
{


}




} // video
} // irr

#endif // _IRR_COMPILE_WITH_SOFTWARE_
#endif // _IRR_COMPILE_WITH_X11_DEVICE_
